## ros-indigo-turtlebot-calibration 2.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_calibration)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS std_msgs message_generation)

# Messages
add_message_files(
  FILES ScanAngle.msg
)

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES std_msgs
)

# What other packages will need to use this package
catkin_package(
  CATKIN_DEPENDS std_msgs message_runtime
)

# Mark executable scripts (Python etc.) for installation
install(PROGRAMS src/turtlebot_calibration/calibrate.py
                 src/turtlebot_calibration/scan_to_angle.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-turtlebot-calibration (2.3.7-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Tue, 01 Nov 2016 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.3.6-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Wed, 29 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.3.5-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.3.4-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.3.3-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Mon, 23 Mar 2015 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.3.2-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Wed, 21 Jan 2015 08:00:00 -0000

ros-indigo-turtlebot-calibration (2.3.1-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-calibration (2.3.0-0trusty) trusty; urgency=high

  * Merge pull request #83 <https://github.com/turtlebot/turtlebot_apps/issues/83> from kbogert/hydro-devel
    Implement automatic calibration system
  * Contributors: Jihoon Lee

 -- OSRF <turtlebot@osrfoundation.org>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-calibration (2.2.4-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.2.3-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Fri, 27 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.2.2-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Thu, 26 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.2.1-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Mon, 23 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.2.0-0trusty) trusty; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.

 -- OSRF <turtlebot@osrfoundation.org>  Fri, 30 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.1.1-0trusty) trusty; urgency=high



 -- OSRF <turtlebot@osrfoundation.org>  Fri, 09 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-calibration (2.1.0-0trusty) trusty; urgency=high

  * Catkinized

 -- OSRF <turtlebot@osrfoundation.org>  Fri, 19 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-calibration
Section: misc
Priority: extra
Maintainer: OSRF <turtlebot@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-python-orocos-kdl, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/turtlebot_calibration
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-python-orocos-kdl, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-turtlebot-bringup
Description: turtlebot_calibration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-calibration//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
